Bug 991513 - DPMS does not work on Intel G35 video card.
DPMS does not work on Intel G35 video card.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 11:42 EDT by Kevin DeKorte
Modified: 2015-02-17 11:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:31:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (45.64 KB, text/plain)
2013-08-27 02:31 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Kevin DeKorte 2013-08-02 11:42:09 EDT
Description of problem:

dpms does not work on Intel G35 card

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.21.12-1.fc19.x86_64
kernel-3.10.4-300.fc19.x86_64
libdrm-2.4.46-1.fc19.x86_64
xorg-x11-server-Xorg-1.14.2-7.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Login as user or root
2. open terminal
3. xset dpms force off
4. Screens go black
5. Screens immediately light back up

Actual results:
screens do not stay dark

Expected results:
screens should stay dark

Additional info:

00:02.0 VGA compatible controller: Intel Corporation 82G35 Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 8276
	Flags: bus master, fast devsel, latency 0, IRQ 44
	Memory at fe800000 (32-bit, non-prefetchable) [size=1M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at cc00 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller: Intel Corporation 82G35 Express Integrated Graphics Controller (rev 03)
	Subsystem: ASUSTeK Computer Inc. Device 8276
	Flags: bus master, fast devsel, latency 0
	Memory at fe900000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>
Comment 1 Jan Kratochvil 2013-08-27 02:24:38 EDT
xorg-x11-drv-intel-2.21.12-2.fc19.x86_64
kernel-3.10.7-200.fc19.x86_64
libdrm-2.4.46-1.fc19.x86_64
xorg-x11-server-Xorg-1.14.2-9.fc19.x86_64

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

Lenovo X220, external HDMI->DVI display

"xlock -dpmsoff 0" was working in F-18, it just blanks without DPMS in F-19.
Comment 2 Jan Kratochvil 2013-08-27 02:31:23 EDT
Created attachment 790794 [details]
Xorg.0.log

I think the problem is:

EDID for output HDMI1
Manufacturer: GSM  Model: 56cf  Serial#: 169692
Year: 2010  Week: 4
EDID Version: 1.3
Digital Display Input
Max Image Size [cm]: horiz.: 53  vert.: 30 
Gamma: 2.20
No DPMS capabilities specified 
##############################
[...]
Number of EDID sections to follow: 1
EDID (in hex):
        00ffffffffffff001e6dcf56dc960200
        0414010380351e780a3d85a6564a9a24
        125054210800b3008180814001010101
        0101010101011a3680a070381f403020
        3500dd0c1100001a023a801871382d40
        532c4500dd0c1100001e000000fd0038
        3d1e530f000a202020202020000000fc
        0057323236310a2020202020202001b2
        020321f14e900403011412051f101300
        000000230907078301000065030c0010
        00023a801871382d40582c4500dd0c11
        00001e011d8018711c1620582c2500dd
        0c1100009e011d007251d01e206e2855
        00dd0c1100001e8c0ad08a20e02d1010
        3e9600dd0c1100001800000000000000
        000000000000000000000000000000ba

I did not try to boot Live F-18 to see if the output was different.
Comment 3 Jan Kratochvil 2013-08-27 04:12:21 EDT
Cancelling my comments, it works now; but sometimes it does not, weird.
Comment 4 Fedora End Of Life 2015-01-09 14:14:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:31:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.